﻿namespace wms.dto.request
{
    /// <summary>
    ///  创建WCS入库任务
    /// </summary>
    public class FJCreateStockInWcsTaskRequest
    {
        /// <summary>
        /// 容器条码
        /// </summary>
        public string ContGrpBarCode { get; set; }

        /// <summary>
        /// 组盘主表ID
        /// </summary>
        public long ContGrpId { get; set; }

        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WarehouseCode { get; set; }

        /// <summary>
        ///  数量
        /// </summary>
        public decimal Qty { get; set; }

        /// <summary>
        /// 单据号
        /// </summary>
        public string DocCode { get; set; }

        /// <summary>
        ///  单据订单
        /// </summary>
        public long DocId { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        public string EquCode { get; set; }

        /// <summary>
        /// 业务类型
        /// </summary>
        public string BusType { get; set; }

        /// <summary>
        ///  楼层
        /// </summary>
        public int Floor { get; set; }

        /// <summary>
        ///  产线
        /// </summary>
        public string ProLine { get; set; }

        /// <summary>
        ///  物料号
        /// </summary>
        public string MatCode { get; set; }

        /// <summary>
        ///  材料号
        /// </summary>
        public string MaterialCode { get; set; }
    }
}
