﻿using SqlSugar;

namespace wms.sqlsugar.model.fj
{
    /// <summary>
    ///  仓库表
    /// </summary>
    [Tenant("fj")]
    [SugarTable("Base_Warehouse")]
    public partial class BaseWarehouse : BaseModel
    {
        /// <summary>
        ///  是否停用
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsStop { get; set; }

        /// <summary>
        ///  编号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string Code { get; set; }

        /// <summary>
        ///  名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false)]
        public string Name { get; set; }

        /// <summary>
        ///  类型
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int TypeNum { get; set; }

        /// <summary>
        ///  短编号
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public int ShortNumber { get; set; }
    }
}
